org.apache.tomcat.websocket

## Class AuthenticatorFactory

- java.lang.Object
- - org.apache.tomcat.websocket.AuthenticatorFactory

-     public class AuthenticatorFactory
      extends Object

  Utility method to return the appropriate authenticator according to the scheme that the server uses.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticatorFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Authenticator` | `getAuthenticator(String authScheme)` Return a new authenticator instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticatorFactory

          public AuthenticatorFactory()

  - ### Method Detail

    - #### getAuthenticator

          public static Authenticator getAuthenticator(String authScheme)

      Return a new authenticator instance.
      Parameters:
        `authScheme` - The scheme used
      Returns:
        the authenticator

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.